Subject: problems when installing the base system

From: Christian Decker <[email-masked]>
Date: Mon, 08 Jun 1998 13:14:55 +0200

Hi,
I have a very strange problem when I am installing the ARM-Linux base
system. I am working in a Acorn RISC PC with a Strong ARM processor with
RISC OS 3.7. The base system and the RPMS packages are located at my
ADFS harddisc in the right subdir (RedHat/base and RedHat/RPMS). Now I
am trying to install. I only want to install the base systems, so I edit
the file comps. All entries after the whole Base entry I deleted. When
scanning available packages the installer find all packages for the base
system. The installer creates the ext2 partition (till this point all
run okay), but then it throw the following error message: cannot open
the file: /tmp/rhimage/RedHat/base/skeleton.cgz
With CTRL-ALT-F2 I looked in this directory and there was a file named
skeleton.c. Allright this must be correct because the RISC OS cannot
handle more than 10 characters per file name and all packages and so are
on the ADFS partition which is controlled by the RISC OS.
In the next install procedure (I started the installer again and jumped
form one install point to the next as I did it before) I avoid making a
ext2 filesystem. Then the installer work a little bit and interrupted
the procedure with the error message: Fatal error by opening RPM
Database. Well, at this point I have no ideas what I can do. The
install.log I found is empty and the last step the installer has done is
reading the rpmrc file. After that it says done and no further messages
appear in the console opening with CTRL-ALT-F3.
Does anybody know this problem or can help me to avoid this?
I send my comps file at the end of this messages. Maybe I forgot a rpm
file.

------------------------------------------------------------------------
0

1 *beforeskel*
setup
#pamconfig
filesystem
end

1 Base
MAKEDEV
SysVinit
adduser
ash
at
bash
bdflush
bootpc
cpio
#cracklib-dicts
crontabs
# db
dev
diffutils
e2fsprogs
ed
eject
etcskel
file
fileutils
findutils
fpem
gawk
#gdbm
gpm
grep
groff
gzip
hdparm
#info
initscripts
 kbd
 kbdconfig
 ld.so
less
# libc *
 arm-aout-libs
# linuxthreads
#libg++
#libtermcap
# lilo *
  loadmap
logrotate
#losetup
mailcap
mailx
man
# mkinitrd
mingetty
 modules
#mount
 mouseconfig
mt-st
ncompress
ncurses
net-tools
#newt
#passwd
#pam
# pcmcia-cs
procinfo
procmail
procps
psmisc
#pwdb
#quota
readline
#redhat-release
rootfiles
rpm
sed
sendmail
#shadow-utils
sh-utils
#slang
stat
sysklogd
tar
tcsh
 termcap
textutils
time
timeconfig
#tmpwatch
util-linux
vim
vixie-cron
which
zsh
#zlib
 zoneinfo
end
------------------------------------------------------------------------

-- 

Bye, Christian

E-Mail: [email-masked]

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Phil Norman <[email-masked]>
Date: Mon, 8 Jun 1998 12:25:23 +0100 (BST)

> With CTRL-ALT-F2 I looked in this directory and there was a file named

Alt-F2 will do (I think Ctrl is used in XFree86 to switch to VTs).

> Does anybody know this problem or can help me to avoid this?

Well, this probably isn't the best answer, but you could try using the 
clan disc installation guide (available from my web page, URL in the 
sig).  This'll eliminate the problem of the 10 char limit.  However, 
there's almost certainly a different way of doing this, since it's 
possible to install from a CDROM, although this may be from a CDROM using 
the <wotsitsname> CDROM type which allows large filenames.

Phil

-- 
Rule of programming #1: Everything that can go wrong will go wrong,
	except when you're running the debugger.

Phil Norman, mailing from Exeter University.
email:	[email-masked]
URL:	http://newton.ex.ac.uk/general/ug/norman